
<!--para instalar pug-->
<!--npm install pug pug-cli -g-->
<!--PUG es un template engine de HTML, permite crear plantillas dinamicas utilizando variables, bucles, condicionales etc dentro de HTML, a demás presenta una forma mas limpia de lectura y codificacion-->
<!--para compilar pug en tiempo real a HTML hay que ejecutar el comando pug -w ./ -o ./html -P-->
<!-- pug (llamar a un comando de pug)-->
<!-- -w (observar los cambios)-->
<!-- ./ (el directorio donde debe observar, en este caso es el directorio raiz)-->
<!-- -o (para indicar la ubicacion donde se guardara la salida en html puro)-->
<!-- ./html (direccion donde se guardara la salida)-->
<!-- -P (para indicar que la salida debe estar identada y con saltos de linea)-->
<!--esta linea generará la declaracion doctype de HTML.--><!DOCTYPE html>
<html>
  <head>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <h1>welcome to PUG</h1>
    <p>esto es una linea de texto</p>
    <p>
      esta es una etiqueta de texto
      multiple
    </p>
    <ul>
      <li>item 1</li>
      <li>item 2</li>
      <li>item 3</li>
    </ul>
    <h1 id="this-id"> este titulo tiene un id</h1>
    <p class="this-class">este parrafo tiene una clase</p>
    <p class="this-class-2">
      este parrafo tiene una clase
      y varias lineas
    </p>
    <!--cuando se coloca la clase o el id sin el tipo de elemento se coloca la etiqueta div-->
    <div class="example-class"></div>
    <div id="example-id"></div>
    <!--ejemplo de atributos y uso de variables-->
    <input type="password" name="yourPass" data-js="OK">
    <!--uso de variables, el guion se utiliza para indicar que es una linea de javascript-->
    <div class="my-div class1 class2 class3"></div>
    <div style="color:red;background-color:blue;"></div>
    <!--agregando atributos--><img src="myphoto.png" alt="this is my photo">
    <!--los atributos de una sola palabra los toma igual que en html, si estan igualados a false no aparecen, tru si aparecen-->
    <input type="text" disabled>
    <!--usando CSS-->
    <p>A partir de aca se implemento css externo</p>
    <!--usando estilos css internos-->
    <style>
      p {
          color: lightseagreen;
          text-decoration: underline;
      }
      
    </style>
    <!--usando estilos in line-->
    <p style="text-align: center; text-transform: uppercase">Este texto tiene estilos en linea como en html</p>
    <p style="color:pink;text-align:right;text-decoration:underline;">Exte texto esta obteniendo los estilos css de un objeto de javascript</p>
    <!--For/each loop nos va a perminir imprimir html en serie utilizando lso valores del array, matriz u objeto que utilicemos-->
    <h1>For/Each loop</h1>
    <p>1</p>
    <p>2</p>
    <p>3</p>
    <p>4</p>
    <!--obtener el valor e index de una maatriz-->
    <!-- se coloca una coma luego de la variable que representa las posiciones, en este caso i representa el indice de la posicion-->
    <p>1 esta en la posicion 0</p>
    <p>2 esta en la posicion 1</p>
    <p>3 esta en la posicion 2</p>
    <p>4 esta en la posicion 3</p>
    <!--uso con objetos, en este caso la i representa el nombre y la n el valor real-->
    <p>80 - web dev</p>
    <p>76 - software design</p>
    <!--se puede utilizxar for o each y funcionará igual-->
    <!-- esta tambien utiliza un else que se ejecutara cuando no existan elementos para iterar--><strong>No existen valores</strong>
    <!--uso de condicionales-->
    <h2>desde aca se aplica un if/else</h2>
    <p>tu ultimo login fue hace 6</p>
    <p><a href="/login">Log In again</a></p>
    <!--uso de case statement - funciona igual al switch-->
    <p>Tu orden esta pendiente</p>
    <!-- uso de la palabra include, permite incluir varios archivos pug a tu archivo pug-->
    <h1>Este menu se esta importando de un archivo pug externo
      <nav><a href="index.html">Home</a><a href="about.html">about</a><a href="products.html">products</a><a href="contact.html">contact</a></nav>
    </h1>
    <!--implementacion de mixies-->
    <!-- Mixies son segmentos de codigo reutilizable, se comportan como las funciones, tambien reciben datos dinamicos que luego renderizaran a HTML-->
    <style>
      .comment {
          font-family: sans-serif;
          line-height: 1.5;
          padding: 10px;
          border: 1px solid #555;
          width: 500px;
      }
      
      .date{ font-size: 85%; text-align: right}
      .author {font-size: 110%; font-weight: bold;}
      .text { font-size: 100%}
      
    </style>
    <!--creamos el objetos con los datos a enviar como parametro-->
    <!--llamamos a la funcion-->
    <div class="comment">
      <div class="date">04/02/2020</div>
      <div class="author">Fran</div>
      <div class="text">Hola! que tal?</div>
    </div>
    <div class="comment"><em>(Publicado por un administrador)</em>
      <div class="date">04/02/2021</div>
      <div class="author">Fran 2</div>
      <div class="text">Todo bien, gracias</div>
    </div>
  </body>
</html>